package cn.iocoder.yudao.module.system.dal.mysql.config;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.controller.admin.config.vo.CommonConfigPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.config.CommonConfigDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 通用配置 Mapper
 *
 * @author 陈宾顺
 */
@Mapper
public interface CommonConfigMapper extends BaseMapperX<CommonConfigDO> {

    default PageResult<CommonConfigDO> selectPage(CommonConfigPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<CommonConfigDO>()
                .eqIfPresent(CommonConfigDO::getConfigType, reqVO.getConfigType())
                .eqIfPresent(CommonConfigDO::getConfigStr, reqVO.getConfigStr())
                .betweenIfPresent(CommonConfigDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(CommonConfigDO::getId));
    }

}